package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.student.service.IBaseStudentAssessmentInspectionService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 学生考核管理流程规则引擎
 */
@Component("student_assessment_inspection_node")
public class StudentAssessmentInspectionNode extends NodeComponent {
    @Autowired
    private IBaseStudentAssessmentInspectionService baseStudentAssessmentInspectionService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            baseStudentAssessmentInspectionService.dataHandle(formId);
        }
    }
}
